curl --request POST \
--url https://api.example.com/api/v1/driver/trips/{tripId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "BOARDING_STARTED",
"tripStopId": "0197a810-0e84-773d-acf5-4b2e048d513a",
"description": "Boarding started at Sao Paulo.",
"metadata": {
"stopName": "Sao Paulo"
}
}
'import requests
url = "https://api.example.com/api/v1/driver/trips/{tripId}/events"
payload = {
"type": "BOARDING_STARTED",
"tripStopId": "0197a810-0e84-773d-acf5-4b2e048d513a",
"description": "Boarding started at Sao Paulo.",
"metadata": { "stopName": "Sao Paulo" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'BOARDING_STARTED',
tripStopId: '0197a810-0e84-773d-acf5-4b2e048d513a',
description: 'Boarding started at Sao Paulo.',
metadata: {stopName: 'Sao Paulo'}
})
};
fetch('https://api.example.com/api/v1/driver/trips/{tripId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tripEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tripId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tripStopId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "DRIVER_CHANGED",
"description": "<string>",
"metadata": {},
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "Bad Request Error",
"errors": [
{
"code": "invalid_type",
"message": "Required",
"path": "name"
}
]
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}Create Trip Event
Records an event.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Trip identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
Create trip event payload.
Trip event type.
DRIVER_CHANGED, VEHICLE_CHANGED, DEPARTURE_DELAYED, ARRIVAL_DELAYED, BOARDING_STARTED, BOARDING_COMPLETED, INCIDENT "BOARDING_STARTED"
Trip stop identifier.
"0197a810-0e84-773d-acf5-4b2e048d513a"
Event description.
"Boarding started at Sao Paulo."
Event metadata.
{ "stopName": "Sao Paulo" }
Response
Created
Eventos operacionais registrados durante uma viagem
Identificador único
Referência à viagem
Referência à parada específica relacionada a TripStop, opcional
Tipo do evento
DRIVER_CHANGED, VEHICLE_CHANGED, DEPARTURE_DELAYED, ARRIVAL_DELAYED, BOARDING_STARTED, BOARDING_COMPLETED, INCIDENT Descrição adicional do evento
Dados adicionais estruturados
Usuário que criou o registro, quando aplicável
Data de criação
Usuário que fez a última atualização, quando aplicável
Data da última atualização